# Mobilizon instance configuration

import Config

config :mobilizon, Mobilizon.Web.Endpoint,
   server: true,
   url: [host: "__DOMAIN_NAME__"],
   http: [
     ip: {127,0,0,1},
     port: __LISTEN_PORT__
    ],
   secret_key_base: "fGRh4o8C28jkQG7PEWG2heRnbpSaYVaukgHuVvZ2/iWlZYKEG1lhDxuHkvLufJe7"

config :mobilizon, Mobilizon.Web.Auth.Guardian,
  secret_key: "wDvmyIypO5NdQ7PNLinJs3oRgTiEhidj1IkPu73lzT37ogMuEJPDgBAC60tKZh1w"

config :mobilizon, :instance,
  name: "A Debian-base Mobilizon instance",
  description: "Change this to a proper description of your instance",
  hostname: "__DOMAIN_NAME__",
  registrations_open: false,
  demo: false,
  allow_relay: true,
  federating: true,
  email_from: "noreply@__DOMAIN_NAME__",
  email_reply_to: "noreply@__DOMAIN_NAME__"

config :mobilizon, Mobilizon.Storage.Repo,
  adapter: Ecto.Adapters.Postgres,
  username: "__DB_USERNAME__",
  password: "__DB_USERPASS__",
  database: "__DB_NAME__",
  hostname: "__DB_HOST__",
  port: "5432",
  pool_size: 10

config :geolix,
  databases: [
    %{
      id: :city,
      adapter: Geolix.Adapter.MMDB2,
      source: "/var/lib/mobilizon/geo_db/GeoLite2-City.mmdb"
    }
  ]

config :mobilizon, Mobilizon.Web.Upload.Uploader.Local,
  uploads: System.get_env("MOBILIZON_UPLOADS", "/var/lib/mobilizon/uploads")

config :mobilizon, :exports,
  path: System.get_env("MOBILIZON_UPLOADS_EXPORTS", "/var/lib/mobilizon/uploads/exports"),
  formats: [
    Mobilizon.Service.Export.Participants.CSV,
    Mobilizon.Service.Export.Participants.PDF,
    Mobilizon.Service.Export.Participants.ODS
  ]

config :tz_world,
  data_dir: System.get_env("MOBILIZON_TIMEZONES_DIR", "/var/lib/mobilizon/timezones")
config :tzdata, :data_dir, System.get_env("MOBILIZON_TZDATA_DIR", "/var/lib/mobilizon/tzdata")
