# Build a Debian package for mobilizon

## The first time

```
git remote add upstream https://framagit.org/framasoft/mobilizon.git
git fetch --all
sudo apt build-dep .
gbp buildpackage
```


## Build a release

export VERSION=4.1.0
git fetch --all
gbp import-ref --merge-mode=replace -u ${VERSION?}
dch --newversion "${VERSION?}-1" "New upstream release"
git commit -m "Start packaging ${VERSION?}" debian/changelog
# ... refresh patches, build, fix problems, build, ....
quilt push -a --refresh ; quilt pop -a ; rm .pc/ -rf
dch --release --distribution stable ""
git commit -m "Release ${VERSION?}-1" debian/changelog
gbp buildpackage
